Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.inference.ui
Class ReasonerActionRunner

    java.lang.Object
      edu.stanford.smi.protegex.owl.inference.ui.ReasonerActionRunner

    public class ReasonerActionRunner

extends Object

User: matthewhorridge
The Univeristy Of Manchester
Medical Informatics Group
Date: Aug 23, 2004

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

The ReasonerActionRunner can be used to execute a number of reasoner actions in a separate worker thread. It will also pop up a dialog with a progress bar and reasoner log.

Constructor Summary
`ReasonerActionRunner(RunnableReasonerAction runner, boolean showClassifierResults)` Constructs a ReasonerActionRunner.

Method Summary
`protected void` | `ensureDIGReasonerHasRightURL(ProtegeOWLReasoner reasoner)`
`void` | `execute()` Executes the reasoner actions that are specified in the RunnableReasonerAction's `executeReasonerActions` method.
`protected String` | `getReasonerName(OWLModel owlModel)`
`protected void` | `showInferredHierarchy(boolean visible)` Displays the inferred hierarchy and the classifier results panel.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReasonerActionRunner

    public ReasonerActionRunner(RunnableReasonerAction runner,
                                boolean showClassifierResults)

  Constructs a ReasonerActionRunner.

  Parameters:
    `runner` - The RunnableReasonerAction that specifies the code to be executed by this ReasonerActionRunner
    `showClassifierResults` - If `true` the classification results panel will be displayed after the reasone actions have been executed.

Method Detail

### execute

    public void execute()

  Executes the reasoner actions that are specified in the RunnableReasonerAction's `executeReasonerActions` method. This will execute the actions is a worker thread and pop up a progress dialog.

### getReasonerName

    protected String getReasonerName(OWLModel owlModel)

### ensureDIGReasonerHasRightURL

    protected void ensureDIGReasonerHasRightURL(ProtegeOWLReasoner reasoner)

### showInferredHierarchy

    protected void showInferredHierarchy(boolean visible)

  Displays the inferred hierarchy and the classifier results panel.

  Parameters:
    `visible` -

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.